loci.formats.in

## Class ZeissCZIReader.FileHeader

- java.lang.Object
- - loci.formats.in.ZeissCZIReader.Segment
  - - loci.formats.in.ZeissCZIReader.FileHeader

- Enclosing class:
    ZeissCZIReader

      class ZeissCZIReader.FileHeader
      extends ZeissCZIReader.Segment

  Segment with ID "ZISRAWFILE".

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `attachmentDirectoryPosition`
    `long` | `directoryPosition`
    `long` | `fileGUID`
    `int` | `filePart`
    `int` | `majorVersion`
    `long` | `metadataPosition`
    `int` | `minorVersion`
    `long` | `primaryFileGUID`
    `boolean` | `updatePending`

    - ### Fields inherited from class loci.formats.in.ZeissCZIReader.Segment

      `allocatedSize, filename, id, startingPosition, stream, usedSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileHeader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillInData()`

    - ### Methods inherited from class loci.formats.in.ZeissCZIReader.Segment

      `close, getStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### majorVersion

          public int majorVersion

    - #### minorVersion

          public int minorVersion

    - #### primaryFileGUID

          public long primaryFileGUID

    - #### fileGUID

          public long fileGUID

    - #### filePart

          public int filePart

    - #### directoryPosition

          public long directoryPosition

    - #### metadataPosition

          public long metadataPosition

    - #### updatePending

          public boolean updatePending

    - #### attachmentDirectoryPosition

          public long attachmentDirectoryPosition

  - ### Constructor Detail

    - #### FileHeader

          FileHeader()

  - ### Method Detail

    - #### fillInData

          public void fillInData()
                          throws java.io.IOException

      Overrides:
        `fillInData` in class `ZeissCZIReader.Segment`
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment